Keine Tortendiagramme sichtbar

Wirklich seit PP-Update? Bei mir ist es ebenso, aber ich weiss genau das erst seit dem

$ grep libwebkit /var/log/dpkg.log
2021-05-10 21:03:33 upgrade libwebkit2gtk-4.0-37:amd64 2.30.6-0ubuntu0.20.04.1 2.32.0-0ubuntu0.20.04.1
2021-05-10 21:03:33 status half-configured libwebkit2gtk-4.0-37:amd64 2.30.6-0ubuntu0.20.04.1
2021-05-10 21:03:33 status unpacked libwebkit2gtk-4.0-37:amd64 2.30.6-0ubuntu0.20.04.1
2021-05-10 21:03:33 status half-installed libwebkit2gtk-4.0-37:amd64 2.30.6-0ubuntu0.20.04.1
2021-05-10 21:03:34 status unpacked libwebkit2gtk-4.0-37:amd64 2.32.0-0ubuntu0.20.04.1
2021-05-10 21:03:36 configure libwebkit2gtk-4.0-37:amd64 2.32.0-0ubuntu0.20.04.1 <keine>
2021-05-10 21:03:36 status unpacked libwebkit2gtk-4.0-37:amd64 2.32.0-0ubuntu0.20.04.1
2021-05-10 21:03:36 status half-configured libwebkit2gtk-4.0-37:amd64 2.32.0-0ubuntu0.20.04.1
2021-05-10 21:03:36 status installed libwebkit2gtk-4.0-37:amd64 2.32.0-0ubuntu0.20.04.1

Update von libwebkit2gtk-4.0-37:amd64 2.32.0-0ubuntu0.20.04.1 so ist.

nein, das war eine Vermutung. Danke für den Hinweis. Hast du schon eine Lösung oder Workaroud?

Nee, leider nicht. Vielleicht ist das ein Problem welches sich mit dem nächsten Update von libwebkit erledigt.

Habe das Problem nochmal verifiziert. Eine virtuelle Maschine mit xubuntu-20.04.2.0-desktop-amd64.iso erstellt, während der Installation angebotetene Updates abgelehnt.

Somit ist

libwebkit2gtk-4.0-37:amd64 2.30.6-0ubuntu0.20.04.1

aktiv. openjdk-11-jre und PP 0.52 installiert bzw. runtergeladen → Das Bestände-Diagramm wird angezeigt, auch mehrmals nach Wechsel in andere Menüs.

Die virtuelle Maschine geklont und dann libwebkit2gtk-4.0-37:amd64 auf 2.32.0-0ubuntu0.20.04.1 upgegradet. Dabei bekommt auch libjavascriptcoregtk-4.0-18:amd64 ein Update.

Ergebnis: Das Bestände-Diagramm wird nach Start von PP nur einmal aufgebaut, nach einem Menüwechsel dann nie wieder.

Das betrifft nicht nur libwebkit2gtk 2.32.0-0 sondern auch archlinux wo inzwischen schon Version 2.32.1-1 aktiv ist, siehe Pie and donut charts not rendering

Die Flatpak Version von Portfolio Performance (wo alle Abhängigkeiten ja die gleiche Version unabhängig von der Distro haben sollten) ist übrigens ebenfalls betroffen.

workaround:
sudo apt install libwebkit2gtk-4.0-37=2.28.1-1 libjavascriptcoregtk-4.0-18=2.28.1-1

1 Like

Ja, der Workaround funktioniert, Danke.

Weiss jemand wie man PP die passenden Logs entlocken kann, um dem Upstream von libwebkit mal eine Meldung zu geben? Ich kann da nichts finden, wenn ich

pp_prog_0.52$ strace -f -o strace_pp.log ./PortfolioPerformance

nutze, finde ich nur sowas,

pp_prog_0.52$ grep -B 5 libwebkit strace_pp.log
5083  mprotect(0x7f34351d1000, 4096, PROT_READ) = 0
5083  openat(AT_FDCWD, "/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 148
5083  fstat(148, {st_mode=S_IFREG|0644, st_size=134382, ...}) = 0
5083  mmap(NULL, 134382, PROT_READ, MAP_PRIVATE, 148, 0) = 0x7f346cf18000
5083  close(148)                        = 0
5083  openat(AT_FDCWD, "/usr/lib/x86_64-linux-gnu/libwebkit2gtk-4.0.so.37", O_RDONLY|O_CLOEXEC) = 148
--
5083  futex(0x7f34d441a000, FUTEX_WAIT_PRIVATE, 2, NULL <unfinished ...>
5168  close(15 <unfinished ...>
5102  <... read resumed>"\1\0\0\0\0\0\0\0", 16) = 8
5168  <... close resumed>)              = 0
5102  futex(0x7f34d441a000, FUTEX_WAKE_PRIVATE, 1 <unfinished ...>
5168  openat(AT_FDCWD, "/usr/lib/x86_64-linux-gnu/libwebkit2gtk-4.0.so.37", O_RDONLY|O_CLOEXEC <unfinished ...>
--
5102  futex(0x7f34d441a000, FUTEX_WAKE_PRIVATE, 1 <unfinished ...>
5170  <... close resumed>)              = 0
5168  <... mmap resumed>)               = 0x7f92ccf40000
5102  <... futex resumed>)              = 1
5083  <... futex resumed>)              = 0
5170  openat(AT_FDCWD, "/usr/lib/x86_64-linux-gnu/libwebkit2gtk-4.0.so.37", O_RDONLY|O_CLOEXEC <unfinished ...>
--
5170  futex(0x7fdfd15eff38, FUTEX_WAKE_PRIVATE, 2147483647) = 0
5170  futex(0x7fdfd15eff38, FUTEX_WAKE_PRIVATE, 2147483647) = 0
5170  futex(0x7fdfd15eff38, FUTEX_WAKE_PRIVATE, 2147483647) = 0
5170  futex(0x7fdfd52f80c4, FUTEX_WAKE_PRIVATE, 2147483647) = 0
5170  write(16, "\1\0\0\0\0\0\0\0", 8)  = 8
5170  stat("/usr/lib/x86_64-linux-gnu/webkit2gtk-4.0/injected-bundle/libwebkit2gtkinjectedbundle.so", {st_mode=S_IFREG|0644, st_size=6040, ...}) = 0
5170  openat(AT_FDCWD, "/usr/lib/x86_64-linux-gnu/webkit2gtk-4.0/injected-bundle/libwebkit2gtkinjectedbundle.so", O_RDONLY|O_CLOEXEC) = 158
--
5210  close(15 <unfinished ...>
5083  fcntl(146, F_SETFD, FD_CLOEXEC <unfinished ...>
5210  <... close resumed>)              = 0
5102  <... read resumed>"\1\0\0\0\0\0\0\0", 16) = 8
5083  <... fcntl resumed>)              = 0
5210  openat(AT_FDCWD, "/usr/lib/x86_64-linux-gnu/libwebkit2gtk-4.0.so.37", O_RDONLY|O_CLOEXEC <unfinished ...>
--
5210  futex(0x7fe7c8247f38, FUTEX_WAKE_PRIVATE, 2147483647) = 0
5210  futex(0x7fe7c8247f38, FUTEX_WAKE_PRIVATE, 2147483647) = 0
5210  futex(0x7fe7c8247f38, FUTEX_WAKE_PRIVATE, 2147483647) = 0
5210  futex(0x7fe7cbf500c4, FUTEX_WAKE_PRIVATE, 2147483647) = 0
5210  write(16, "\1\0\0\0\0\0\0\0", 8)  = 8
5210  stat("/usr/lib/x86_64-linux-gnu/webkit2gtk-4.0/injected-bundle/libwebkit2gtkinjectedbundle.so", {st_mode=S_IFREG|0644, st_size=6040, ...}) = 0
5210  openat(AT_FDCWD, "/usr/lib/x86_64-linux-gnu/webkit2gtk-4.0/injected-bundle/libwebkit2gtkinjectedbundle.so", O_RDONLY|O_CLOEXEC) = 156

was mir leider garnichts sagt.

Unter Linux Mint 19.3 Cinnamon funktioniert der Workaround nicht.

E: Version »2.28.1-1« für »libwebkit2gtk-4.0-37« konnte nicht gefunden werden.
E: Version »2.28.1-1« für »libjavascriptcoregtk-4.0-18« konnte nicht gefunden werden.

Was wird denn da ausgegeben?

die Ausgabe ist leer, es wird gar nichts ausgegeben :thinking:

und für

dpkg -l | grep libwebkit

?

und für

zgrep libwebkit /var/log/dpkg.log*

?

Ausgabe für…

lautet:
ii libwebkit2gtk-4.0-37:amd64 2.32.0-0ubuntu0.18.04.1 amd64 Web content engine library for GTK+

und für:

lautet die Ausgabe:

/var/log/dpkg.log.1:2021-05-13 12:32:58 upgrade libwebkit2gtk-4.0-37:amd64 2.30.6-0ubuntu0.18.04.1 2.32.0-0ubuntu0.18.04.1
/var/log/dpkg.log.1:2021-05-13 12:32:58 status half-configured libwebkit2gtk-4.0-37:amd64 2.30.6-0ubuntu0.18.04.1
/var/log/dpkg.log.1:2021-05-13 12:32:58 status unpacked libwebkit2gtk-4.0-37:amd64 2.30.6-0ubuntu0.18.04.1
/var/log/dpkg.log.1:2021-05-13 12:32:58 status half-installed libwebkit2gtk-4.0-37:amd64 2.30.6-0ubuntu0.18.04.1
/var/log/dpkg.log.1:2021-05-13 12:32:59 status half-installed libwebkit2gtk-4.0-37:amd64 2.30.6-0ubuntu0.18.04.1
/var/log/dpkg.log.1:2021-05-13 12:32:59 status unpacked libwebkit2gtk-4.0-37:amd64 2.32.0-0ubuntu0.18.04.1
/var/log/dpkg.log.1:2021-05-13 12:32:59 status unpacked libwebkit2gtk-4.0-37:amd64 2.32.0-0ubuntu0.18.04.1
/var/log/dpkg.log.1:2021-05-13 12:33:13 configure libwebkit2gtk-4.0-37:amd64 2.32.0-0ubuntu0.18.04.1 <keine>
/var/log/dpkg.log.1:2021-05-13 12:33:13 status unpacked libwebkit2gtk-4.0-37:amd64 2.32.0-0ubuntu0.18.04.1
/var/log/dpkg.log.1:2021-05-13 12:33:13 status half-configured libwebkit2gtk-4.0-37:amd64 2.32.0-0ubuntu0.18.04.1
/var/log/dpkg.log.1:2021-05-13 12:33:13 status installed libwebkit2gtk-4.0-37:amd64 2.32.0-0ubuntu0.18.04.1
/var/log/dpkg.log.10.gz:2020-08-08 00:24:10 upgrade libwebkit2gtk-4.0-37:amd64 2.28.3-0ubuntu0.18.04.1 2.28.4-0ubuntu0.18.04.1
/var/log/dpkg.log.10.gz:2020-08-08 00:24:10 status half-configured libwebkit2gtk-4.0-37:amd64 2.28.3-0ubuntu0.18.04.1
/var/log/dpkg.log.10.gz:2020-08-08 00:24:10 status unpacked libwebkit2gtk-4.0-37:amd64 2.28.3-0ubuntu0.18.04.1
/var/log/dpkg.log.10.gz:2020-08-08 00:24:10 status half-installed libwebkit2gtk-4.0-37:amd64 2.28.3-0ubuntu0.18.04.1
/var/log/dpkg.log.10.gz:2020-08-08 00:24:11 status half-installed libwebkit2gtk-4.0-37:amd64 2.28.3-0ubuntu0.18.04.1
/var/log/dpkg.log.10.gz:2020-08-08 00:24:11 status unpacked libwebkit2gtk-4.0-37:amd64 2.28.4-0ubuntu0.18.04.1
/var/log/dpkg.log.10.gz:2020-08-08 00:24:11 status unpacked libwebkit2gtk-4.0-37:amd64 2.28.4-0ubuntu0.18.04.1
/var/log/dpkg.log.10.gz:2020-08-08 00:24:19 configure libwebkit2gtk-4.0-37:amd64 2.28.4-0ubuntu0.18.04.1 <keine>
/var/log/dpkg.log.10.gz:2020-08-08 00:24:19 status unpacked libwebkit2gtk-4.0-37:amd64 2.28.4-0ubuntu0.18.04.1
/var/log/dpkg.log.10.gz:2020-08-08 00:24:19 status half-configured libwebkit2gtk-4.0-37:amd64 2.28.4-0ubuntu0.18.04.1
/var/log/dpkg.log.10.gz:2020-08-08 00:24:19 status installed libwebkit2gtk-4.0-37:amd64 2.28.4-0ubuntu0.18.04.1
/var/log/dpkg.log.11.gz:2020-07-15 12:39:58 upgrade libwebkit2gtk-4.0-37:amd64 2.28.2-0ubuntu0.18.04.1 2.28.3-0ubuntu0.18.04.1
/var/log/dpkg.log.11.gz:2020-07-15 12:39:58 status half-configured libwebkit2gtk-4.0-37:amd64 2.28.2-0ubuntu0.18.04.1
/var/log/dpkg.log.11.gz:2020-07-15 12:39:58 status unpacked libwebkit2gtk-4.0-37:amd64 2.28.2-0ubuntu0.18.04.1
/var/log/dpkg.log.11.gz:2020-07-15 12:39:58 status half-installed libwebkit2gtk-4.0-37:amd64 2.28.2-0ubuntu0.18.04.1
/var/log/dpkg.log.11.gz:2020-07-15 12:39:59 status half-installed libwebkit2gtk-4.0-37:amd64 2.28.2-0ubuntu0.18.04.1
/var/log/dpkg.log.11.gz:2020-07-15 12:39:59 status unpacked libwebkit2gtk-4.0-37:amd64 2.28.3-0ubuntu0.18.04.1
/var/log/dpkg.log.11.gz:2020-07-15 12:39:59 status unpacked libwebkit2gtk-4.0-37:amd64 2.28.3-0ubuntu0.18.04.1
/var/log/dpkg.log.11.gz:2020-07-15 12:40:00 configure libwebkit2gtk-4.0-37:amd64 2.28.3-0ubuntu0.18.04.1 <keine>
/var/log/dpkg.log.11.gz:2020-07-15 12:40:00 status unpacked libwebkit2gtk-4.0-37:amd64 2.28.3-0ubuntu0.18.04.1
/var/log/dpkg.log.11.gz:2020-07-15 12:40:00 status half-configured libwebkit2gtk-4.0-37:amd64 2.28.3-0ubuntu0.18.04.1
/var/log/dpkg.log.11.gz:2020-07-15 12:40:00 status installed libwebkit2gtk-4.0-37:amd64 2.28.3-0ubuntu0.18.04.1
/var/log/dpkg.log.3.gz:2021-03-29 21:56:34 upgrade libwebkit2gtk-4.0-37:amd64 2.30.5-0ubuntu0.18.04.1 2.30.6-0ubuntu0.18.04.1
/var/log/dpkg.log.3.gz:2021-03-29 21:56:34 status half-configured libwebkit2gtk-4.0-37:amd64 2.30.5-0ubuntu0.18.04.1
/var/log/dpkg.log.3.gz:2021-03-29 21:56:34 status unpacked libwebkit2gtk-4.0-37:amd64 2.30.5-0ubuntu0.18.04.1
/var/log/dpkg.log.3.gz:2021-03-29 21:56:34 status half-installed libwebkit2gtk-4.0-37:amd64 2.30.5-0ubuntu0.18.04.1
/var/log/dpkg.log.3.gz:2021-03-29 21:56:36 status half-installed libwebkit2gtk-4.0-37:amd64 2.30.5-0ubuntu0.18.04.1
/var/log/dpkg.log.3.gz:2021-03-29 21:56:36 status unpacked libwebkit2gtk-4.0-37:amd64 2.30.6-0ubuntu0.18.04.1
/var/log/dpkg.log.3.gz:2021-03-29 21:56:36 status unpacked libwebkit2gtk-4.0-37:amd64 2.30.6-0ubuntu0.18.04.1
/var/log/dpkg.log.3.gz:2021-03-29 21:56:47 configure libwebkit2gtk-4.0-37:amd64 2.30.6-0ubuntu0.18.04.1 <keine>
/var/log/dpkg.log.3.gz:2021-03-29 21:56:47 status unpacked libwebkit2gtk-4.0-37:amd64 2.30.6-0ubuntu0.18.04.1
/var/log/dpkg.log.3.gz:2021-03-29 21:56:47 status half-configured libwebkit2gtk-4.0-37:amd64 2.30.6-0ubuntu0.18.04.1
/var/log/dpkg.log.3.gz:2021-03-29 21:56:47 status installed libwebkit2gtk-4.0-37:amd64 2.30.6-0ubuntu0.18.04.1
/var/log/dpkg.log.4.gz:2021-02-21 17:54:52 upgrade libwebkit2gtk-4.0-37:amd64 2.30.3-0ubuntu0.18.04.1 2.30.5-0ubuntu0.18.04.1
/var/log/dpkg.log.4.gz:2021-02-21 17:54:52 status half-configured libwebkit2gtk-4.0-37:amd64 2.30.3-0ubuntu0.18.04.1
/var/log/dpkg.log.4.gz:2021-02-21 17:54:52 status unpacked libwebkit2gtk-4.0-37:amd64 2.30.3-0ubuntu0.18.04.1
/var/log/dpkg.log.4.gz:2021-02-21 17:54:52 status half-installed libwebkit2gtk-4.0-37:amd64 2.30.3-0ubuntu0.18.04.1
/var/log/dpkg.log.4.gz:2021-02-21 17:54:53 status half-installed libwebkit2gtk-4.0-37:amd64 2.30.3-0ubuntu0.18.04.1
/var/log/dpkg.log.4.gz:2021-02-21 17:54:53 status unpacked libwebkit2gtk-4.0-37:amd64 2.30.5-0ubuntu0.18.04.1
/var/log/dpkg.log.4.gz:2021-02-21 17:54:53 status unpacked libwebkit2gtk-4.0-37:amd64 2.30.5-0ubuntu0.18.04.1
/var/log/dpkg.log.4.gz:2021-02-21 17:54:56 configure libwebkit2gtk-4.0-37:amd64 2.30.5-0ubuntu0.18.04.1 <keine>
/var/log/dpkg.log.4.gz:2021-02-21 17:54:56 status unpacked libwebkit2gtk-4.0-37:amd64 2.30.5-0ubuntu0.18.04.1
/var/log/dpkg.log.4.gz:2021-02-21 17:54:56 status half-configured libwebkit2gtk-4.0-37:amd64 2.30.5-0ubuntu0.18.04.1
/var/log/dpkg.log.4.gz:2021-02-21 17:54:56 status installed libwebkit2gtk-4.0-37:amd64 2.30.5-0ubuntu0.18.04.1
/var/log/dpkg.log.7.gz:2020-11-30 08:39:29 upgrade libwebkit2gtk-4.0-37:amd64 2.28.4-0ubuntu0.18.04.1 2.30.3-0ubuntu0.18.04.1
/var/log/dpkg.log.7.gz:2020-11-30 08:39:29 status half-configured libwebkit2gtk-4.0-37:amd64 2.28.4-0ubuntu0.18.04.1
/var/log/dpkg.log.7.gz:2020-11-30 08:39:29 status unpacked libwebkit2gtk-4.0-37:amd64 2.28.4-0ubuntu0.18.04.1
/var/log/dpkg.log.7.gz:2020-11-30 08:39:29 status half-installed libwebkit2gtk-4.0-37:amd64 2.28.4-0ubuntu0.18.04.1
/var/log/dpkg.log.7.gz:2020-11-30 08:39:30 status half-installed libwebkit2gtk-4.0-37:amd64 2.28.4-0ubuntu0.18.04.1
/var/log/dpkg.log.7.gz:2020-11-30 08:39:30 status unpacked libwebkit2gtk-4.0-37:amd64 2.30.3-0ubuntu0.18.04.1
/var/log/dpkg.log.7.gz:2020-11-30 08:39:30 status unpacked libwebkit2gtk-4.0-37:amd64 2.30.3-0ubuntu0.18.04.1
/var/log/dpkg.log.7.gz:2020-11-30 08:39:32 configure libwebkit2gtk-4.0-37:amd64 2.30.3-0ubuntu0.18.04.1 <keine>
/var/log/dpkg.log.7.gz:2020-11-30 08:39:32 status unpacked libwebkit2gtk-4.0-37:amd64 2.30.3-0ubuntu0.18.04.1
/var/log/dpkg.log.7.gz:2020-11-30 08:39:32 status half-configured libwebkit2gtk-4.0-37:amd64 2.30.3-0ubuntu0.18.04.1
/var/log/dpkg.log.7.gz:2020-11-30 08:39:32 status installed libwebkit2gtk-4.0-37:amd64 2.30.3-0ubuntu0.18.04.1

Dann versuche den Workaround mit 2.30.6-0 statt 2.28.1-1

Der Workaround mit 2.30.6-0 funktioniert ebenfalls nicht

sudo apt install libwebkit2gtk-4.0-37=2.30.6-0 libjavascriptcoregtk-4.0-18=2.30.6-0
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
E: Version »2.30.6-0« für »libwebkit2gtk-4.0-37« konnte nicht gefunden werden.
E: Version »2.30.6-0« für »libjavascriptcoregtk-4.0-18« konnte nicht gefunden werden.

Dann scheinen die Quellen von Mint das nicht herzugeben? Keine Ahnung was da zu tun ist.
https://www.linuxmintusers.de/ oder https://forum.ubuntuusers.de/ könnten hilfreich sein.

Ich klemme mich auch an die bestehenden Issues auf GitHub:

Habe heute unter Linux Mint noch etwas Ähnliches wie libwebkit gefunden, habe Webkit2gtk-driver installiert:

Das javascriptcore-Zeug war bereits schon installiert:

Maßnahme leider ohne Erfolg, die Torten-Diagramme werden weiterhin nur 1x nach dem Start angezeigt, dann nie wieder.

Für mich als Nicht-Entwickler stellt sich die Frage, ob die Annahme, dass die Ursache in einer falschen libwebkit liegt, überhaupt zutreffend ist? - Immerhin wird die Tortengrafik 1x angezeigt. Oder liegt die Ursache womöglich ganz woanders?

Bin auch kein Entwickler, halte Keine Tortendiagramme sichtbar - #26 by ProgFriese aber schon für ein eindeutiges Indiz.

Auf einem anderen PC, auf dem Ubuntu 20 LTS installiert ist, hatte ich das gleiche Problem: Das Tortendiagramm wurde immer nur 1x angezeigt, dann nie wieder. Hier konnte ich jedoch die oben genannte Installation durchführen und damit das Problem beheben:

sudo apt install libwebkit2gtk-4.0-37=2.28.1-1 libjavascriptcoregtk-4.0-18=2.28.1-1

Hier bekam ich folgende Hinweise:

Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  apturl-common distro-info gir1.2-gst-plugins-base-1.0
  gir1.2-javascriptcoregtk-4.0 gir1.2-rb-3.0 libdmapsharing-3.0-2
  libgpod-common libgpod4 liblirc-client0 libllvm10 libsgutils2-2 python3-mako
  python3-markupsafe
Verwenden Sie »sudo apt autoremove«, um sie zu entfernen.
Die folgenden Pakete werden ENTFERNT:
  apturl gir1.2-webkit2-4.0 nautilus-share rhythmbox-plugins ubuntu-desktop
  ubuntu-desktop-minimal ubuntu-release-upgrader-gtk update-manager
  update-notifier
Die folgenden Pakete werden durch eine ÄLTERE VERSION ERSETZT (Downgrade):
  libjavascriptcoregtk-4.0-18 libwebkit2gtk-4.0-37
0 aktualisiert, 0 neu installiert, 2 durch eine ältere Version ersetzt, 9 zu entfernen und 8 nicht aktualisiert.
Es müssen 18,3 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 11,6 MB Plattenplatz freigegeben.
Möchten Sie fortfahren? [J/n]

Anschließend gab es zwei Hinweise zum Downgrade:

dpkg: Warnung: Version 2.32.0-0ubuntu0.20.04.1 des Paketes libwebkit2gtk-4.0-37:amd64 wird durch ältere Version 2.28.1-1 ersetzt

sowie:

dpkg: Warnung: Version 2.32.0-0ubuntu0.20.04.1 des Paketes libjavascriptcoregtk-4.0-18:amd64 wird durch ältere Version 2.28.1-1 
ersetzt

Nach dem Programmstart ist es jetzt zumindest wieder möglich, Kuchengrafiken mehrmals anzuzeigen. :grinning: Donut-Diagramme werden jedoch weiterhin nicht angezeigt. :roll_eyes: